For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
        • Themes
        • Widgets
              • GETList Widgets
              • POSTCreate Widget
              • GETGet Widget
              • PUTUpdate Widget
              • DELDelete Widget
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentWidgetsWidget

List Widgets

GET
https://api.bigcommerce.com/stores/:store_hash/v3/content/widgets
GET
/stores/:store_hash/v3/content/widgets
$curl https://api.bigcommerce.com/stores/store_hash/v3/content/widgets \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
1{
2 "data": [
3 {
4 "channel_id": 1,
5 "date_created": "2020-12-21T19:54:16.406Z",
6 "date_modified": "2020-12-21T19:54:16.406Z",
7 "description": "",
8 "name": "Header Images",
9 "uuid": "1f05183e-dfa4-4583-af28-250b47e177b2",
10 "version_uuid": "c863f77b-e5b4-4462-a9ed-2aff9005140e",
11 "widget_configuration": {
12 "_": {
13 "id": "1f05183e-dfa4-4583-af28-250b47e177b2"
14 },
15 "images": [
16 {
17 "image_source": "https://cdn11.bigcommerce.com/s-n0i50vy/images/stencil/1280x1280/products/109/361/kinfolkessentialissue_1024x1024__22507.1456436715.jpg?c=2&imbypass=on"
18 },
19 {
20 "image_source": "https://cdn11.bigcommerce.com/s-n0i50vy/images/stencil/500x659/products/85/282/livingwithplants_grande__26452.1456436666.jpg?c=2&imbypass=on"
21 },
22 {
23 "image_source": "https://cdn11.bigcommerce.com/s-n0i50vy/images/stencil/1280x1280/products/109/361/kinfolkessentialissue_1024x1024__22507.1456436715.jpg?c=2&imbypass=on"
24 }
25 ]
26 },
27 "widget_template": {
28 "current_version_uuid": "c863f77b-e5b4-4462-a9ed-2aff9005140e",
29 "date_created": "2020-12-21T19:49:29.110Z",
30 "date_modified": "2020-12-21T19:49:29.110Z",
31 "icon_name": "default",
32 "kind": "custom",
33 "name": "Header Images",
34 "schema": [],
35 "storefront_api_query": "",
36 "template": "{{#each images}}{{/each}}",
37 "uuid": "f8459145-da8f-4d98-93e4-83aa47da61c6",
38 "channel_id": 1,
39 "client_rerender": false,
40 "template_engine": "handlebars_v3"
41 },
42 "storefront_api_query_params": {}
43 },
44 {
45 "channel_id": 1,
46 "date_created": "2020-12-21T20:26:18.557Z",
47 "date_modified": "2020-12-21T20:26:18.557Z",
48 "description": "",
49 "name": "Simple List",
50 "uuid": "7a842254-96ad-475f-9fe5-a59695e9685f",
51 "version_uuid": "c23dd66b-fa3f-451d-88ef-9f4082c6051e",
52 "widget_configuration": {
53 "_": {
54 "id": "7a842254-96ad-475f-9fe5-a59695e9685f"
55 },
56 "list_items": [
57 {
58 "color": "blue",
59 "text": "The color is blue"
60 },
61 {
62 "color": "green",
63 "text": "The color is green"
64 },
65 {
66 "color": "red",
67 "text": "The color is red"
68 }
69 ]
70 },
71 "widget_template": {
72 "current_version_uuid": "c23dd66b-fa3f-451d-88ef-9f4082c6051e",
73 "date_created": "2020-12-21T19:36:59.384Z",
74 "date_modified": "2020-12-21T19:36:59.384Z",
75 "icon_name": "default",
76 "kind": "custom",
77 "name": "Simple List",
78 "schema": [],
79 "storefront_api_query": "",
80 "template": "<ul>{{#each list_items}}<li style='color:{{color}};'>{{text}}</li>{{/each}}</ul>",
81 "uuid": "42b42cbb-e2d8-4f2a-97ea-06755032115a",
82 "channel_id": 1,
83 "client_rerender": false,
84 "template_engine": "handlebars_v3"
85 },
86 "storefront_api_query_params": {}
87 }
88 ],
89 "meta": {
90 "pagination": {
91 "total": 2,
92 "count": 2,
93 "per_page": 50,
94 "current_page": 1,
95 "total_pages": 1
96 }
97 }
98}

Returns a list of Widgets. Optional parameters can be passed in.

Was this page helpful?
Previous

List Theme Regions

Next

Create Widget

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Content | modify | `store_v2_content` | | Content | read-only | `store_v2_content_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of products.

widget_template_kindstringOptional
The kind of widget template.
widget_template_uuidstringOptionalformat: "uuid"
The identifier for a specific widget template.
namestringOptional

The URL-encoded name of the widget.

name:inlist of stringsOptional

Use to pass in comma-separated list of widget names. Example: /widgets?name:in=test-widget-name,header%20images

channel_id:inlist of integersOptional

A comma-separated list of channel ids to filter the results by.

site_id:inlist of integersOptional

A comma-separated list of site IDs to filter the results by.

Response

datalist of objects
metaobject
Data about the response, including pagination and collection totals.

Errors

422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.